{
  "name": "jukebox-web",
  "version": "0.1.0",
  "private": true,
  "dependencies": {
    "@testing-library/jest-dom": "^5.17.0",
    "@testing-library/react": "^13.4.0",
    "@testing-library/user-event": "^13.5.0",
    "animate.css": "^4.1.1",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-keep-alive": "^2.5.2",
    "react-modal": "^3.16.1",
    "react-router-dom": "^6.25.1",
    "react-scripts": "^5.0.1",
    "sass": "^1.70.0",
    "web-vitals": "^2.1.4"
  },
  "scripts": {
    "start": "react-scripts start",
    "build": "react-scripts build",
    "test": "react-scripts test",
    "eject": "react-scripts eject",
    "lint:scss": "stylelint \"src/assets/stylesheets/**/*.scss\" --fix"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "devDependencies": {
    "stylelint": "^16.5.0",
    "stylelint-config-standard-scss": "^13.0.0",
    "stylelint-scss": "^6.3.0"
  },
  "stylelint": {
    "extends": [
      "stylelint-config-standard",
      "stylelint-config-recommended-scss"
    ],
    "plugins": [
      "stylelint-scss"
    ],
    "rules": {
      "scss/load-no-partial-leading-underscore": true,
      "scss/no-duplicate-dollar-variables": true,
      "declaration-block-no-duplicate-properties": [
        true,
        {
          "ignore": [
            "consecutive-duplicates-with-different-values"
          ]
        }
      ],
      "block-no-empty": null,
      "color-no-invalid-hex": true
    }
  }
}
